Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 421575

Summary: dev-vcs/subversion-1.7.5[kde] fails to build with gcc-4.7.1
Product: Gentoo Linux Reporter: PM <mitaspiotr>
Component: Current packagesAssignee: Thomas Sachau <tommy>
Status: RESOLVED FIXED    
Severity: normal CC: b.buschinski, devurandom, gentoo, jlp.bugs, kuba, lmedinas, maxposedon, nheghathivhistha, oli.huber, patrick, patrizio.bassi, vamp898
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 390247    
Attachments: patch
subversion-1.7.5.ebuild
modified subversion-1.7.6.ebuild

Description PM 2012-06-17 14:12:23 UTC
subversion/libsvn_auth_kwallet/kwallet.cpp: In function 'svn_boolean_t kwallet_password_get(const char**, apr_hash_t*, const char*, const char*, apr_hash_t*, svn_boolean_t, apr_pool_t*)':
subversion/libsvn_auth_kwallet/kwallet.cpp:207:68: error: taking address of temporary array
subversion/libsvn_auth_kwallet/kwallet.cpp:217:49: error: taking address of temporary array
subversion/libsvn_auth_kwallet/kwallet.cpp: In function 'svn_boolean_t kwallet_password_set(apr_hash_t*, const char*, const char*, const char*, apr_hash_t*, svn_boolean_t, apr_pool_t*)':
subversion/libsvn_auth_kwallet/kwallet.cpp:277:68: error: taking address of temporary array
subversion/libsvn_auth_kwallet/kwallet.cpp:287:49: error: taking address of temporary array




Portage 2.2.0_alpha110 (default/linux/amd64/10.0/desktop/kde, gcc-4.7.1, glibc-2.15-r2, 3.4.1-pf x86_64)
=================================================================
System uname: Linux-3.4.1-pf-x86_64-Pentium-R-_Dual-Core_CPU_T4300_@_2.10GHz-with-gentoo-2.1
Timestamp of tree: Sun, 17 Jun 2012 11:30:01 +0000
distcc 3.1 x86_64-pc-linux-gnu [disabled]
app-shells/bash:          4.2_p29
dev-java/java-config:     2.1.12
dev-lang/python:          2.7.3-r2, 3.2.3-r1
dev-util/cmake:           2.8.8-r3
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.1-r1
sys-apps/openrc:          0.10.3
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.9.6-r3, 1.11.5, 1.12.1
sys-devel/binutils:       2.22-r1
sys-devel/gcc:            4.6.3, 4.7.1
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r3
sys-kernel/linux-headers: 3.4 (virtual/os-headers)
sys-libs/glibc:           2.15-r2
Repositories: gentoo multimedia roslin sunrise dupa
Installed sets: 
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=native -pipe -g"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/themes/oxygen-gtk/gtk-2.0 /usr/share/themes/oxygen-gtk/gtk-3.0"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -march=native -pipe -g"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--keep-going"
FCFLAGS="-O2 -march=native -pipe -g"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles news parallel-fetch parse-eapi-ebuild-head preserve-libs protect-owned sandbox sfperms splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS="-O2 -march=native -pipe -g"
GENTOO_MIRRORS="http://gentoo.mirror.pw.edu.pl/ http://ftp.spline.inf.fu-berlin.de/mirrors/gentoo/ http://mirror.netcologne.de/gentoo/"
LANG="pl_PL.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="pl"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/multimedia /usr/local/portage/layman/roslin /usr/local/portage/layman/sunrise /usr/local/portage/moje"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X Xaw3d a52 aac aalib acl acpi alsa amd64 amr amrnb amrwb async audiofile automount bash-completion berkdb bfq bineditor bluetooth branding bzip2 c++0x cairo cdaudio cdda cddb cdio cdparanoia cdr cli consolekit cracklib crypt css cups curl cxx dbus declarative devhelp dirac disk-partition divx djvu dri dts dvd dvdr editor emboss emovix enca encode exchange exif faac faad fam fat ffmpeg fftw firefox firefox3 flac fontconfig fortran g3dvl gd gdbm geoip gif glitz gmedia gphoto2 gpm gtk hddtemp htmlhandbook iconv id3 id3tag imagemagick inotify ipod jack jpeg kde kde4 kdehiddenvisibility kipi kpathsea kqemu ladspa lame laptop lcms libcaca libnotify libsamplerate llvm lm_sensors mad mjpeg mmap mmx mmxext mng modules mp3 mp3tunes mp4 mpeg mplayer mtp mudflap multilib musicbrainz ncurses nls nptl nsplugin ntfs ogg openal opencore-amr opencore-amrnb opencore-amrwb opengl openmp pam pango pch pcre pdf perl phonon plasma png policykit ppds pppd private-headers python qt-copy qt3 qt3support qt4 rar raster readline realmedia roe scanner schroedinger sdl secure-delete semantic-desktop sensord session sndfile solver soundtouch sourceview sparse spell sse sse2 ssl ssse3 startup-notification svg swat symlink syslog tcpd theora threads tiff truetype udev udisks unicode upnp upower usb vamp vcd vorbis webkit wmf wmp wxwidgets wxwindows x264 xcb xcomposite xine xinerama xml xorg xscreensaver xv xvid xvmc zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="battery sensors rrdtool" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="pl" PHP_TARGETS="php5-3" PYTHON_TARGETS="python3_2 python2_7" QEMU_SOFTMMU_TARGETS="x86_64 i386" QEMU_USER_TARGETS="x86_64 i386" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="intel" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON


Reproducible: Always
Comment 1 Robert Cabrera 2012-06-19 21:20:42 UTC
I too can confirm that subversion-1.7.5 fails to emerge with gcc-4.7.1.

I upgraded my ~amd64 laptop this weekend to gcc-4.7.1 and recompiled my system with it. Only subversion-4.7.1 and icedtea-7.2.2 failed to emerge and install.
Comment 2 Olivier Huber 2012-06-21 09:41:07 UTC
Created attachment 315909 [details, diff]
patch

I've created this patch from upstream svn. Works here:

emerge --info subversion
Portage 2.2.0_alpha110 (default/linux/amd64/10.0/developer, gcc-4.7.1, glibc-2.15-r2, 3.4.0-gentoo x86_64)
=================================================================
                        System Settings
=================================================================
System uname: Linux-3.4.0-gentoo-x86_64-Intel-R-_Xeon-R-_CPU_W3520_@_2.67GHz-with-gentoo-2.1
Timestamp of tree: Thu, 21 Jun 2012 09:15:01 +0000
app-shells/bash:          4.2_p29
dev-java/java-config:     2.1.12
dev-lang/python:          2.7.3-r2, 3.2.3-r1
dev-util/cmake:           2.8.8-r3
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.1-r1
sys-apps/openrc:          0.10.3
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.9.6-r3, 1.11.5, 1.12.1
sys-devel/binutils:       2.22-r1
sys-devel/gcc:            4.4.7, 4.6.3, 4.7.1
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r3
sys-kernel/linux-headers: 3.4 (virtual/os-headers)
sys-libs/glibc:           2.15-r2
Repositories: gentoo science sage-on-gentoo progress local
Installed sets: 
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA AdobeFlash-10.3 Intel-SDP skype-4.0.0.7-copyright"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--quiet-build=n "
FCFLAGS="-march=native -O2 -pipe"
FEATURES="assume-digests binpkg-logs collision-protect distlocks ebuild-locks fixlafiles multilib-strict news parallel-fetch parse-eapi-ebuild-head preserve-libs protect-owned sandbox sfperms sign splitdebug strict test-fail-continue unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox xattr"
FFLAGS="-march=native -O2 -pipe"
GENTOO_MIRRORS="http://mirror.ovh.net/gentoo-distfiles ftp://mirror.ovh.net/gentoo-distfiles"
LANG="en_US.utf-8"
LC_ALL="en_US.utf-8"
LDFLAGS="-Wl,--hash-style=gnu -Wl,-O1 -Wl,--as-needed -Wl,--sort-common -Wl,--hash-style=gnu"
LINGUAS="en"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/scratch/portage_hdd"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/overlays/sci /usr/local/overlays/sage-on-gentoo /usr/local/overlays/gentoo-progress-read-only /usr/local/overlays/local"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X a52 aac aacplus abook acl acpi alsa amd64 bash-completion berkdb bitmap bluetooth boost bzip2 cairo caps cdda cdr cli clucene colord consolekit cpudetection cracklib crypt cuda cups curl custom-cflags custom-optimization cxx dbus dirac djvu dot double-precision dri dts dvd dvdr ebook ecls eigen emboss encode epspdf excel exif extensions faac fam ffmpeg fftw firefox flac fontconfig fontforge fortran fortran95 frei0r g3dvl gbm gd-external gdbm gif gles gles1 gles2 gmp gnuplot gold gpg gpm graphics graphite graphviz gssapi gtk hyperestraier iconv icu idn imap inotify int64 iproute2 ipv6 ipython ithreads jemalloc jpeg jpeg2k json kde kpathsea lapack latex lcms ldap ldap-sasl libkms libnotify logrotate lpsol lua lzma mad matplotlib mbox minizip mktemp mmx mmxext mng modules mozilla mp3 mp4 mpc mpeg mudflap multilib muparser music ncurses nettle nfs nis nls nntp nptl nsplugin ntl ntlm numpy ocaml ogg opencl opengl openmp openntpd openssl openvg optimization pam pango passwdqc pcre pcre16 pdf pdfannotextractor pdfimport perl pgf phonon plotutils png policykit pop postproc ppds pppd prison pstricks publishers pyglet python qd qhull qt3support qt4 readline rfc3779 rtmp ruby sage sasl schroedinger science sdl semantic-desktop session shared-dricore sidebar slp smime smp smtp snmp sparse speex spell sqlite sqlite3 sse sse2 sse3 sse41 sse42 sse4_1 ssl ssse3 startup-notification subversion svg syslog system-sqlite tcpd theora thin-splines threads tiff tokyocabinet tools truetype type3 udev udisks unicode upower usb utils vdpau vim vim-syntax vorbis vpx webkit x264 xattr xcb xetex xft xml xorg xulrunner xv xvfb xvid xvmc zeitgeist zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en" PHP_TARGETS="php5-3" PYTHON_TARGETS="python3_2 python2_7" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="nouveau nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

=================================================================
                        Package Settings
=================================================================

dev-vcs/subversion-1.7.5 was built with the following:
USE="berkdb kde (multilib) nls perl python ruby sasl vim-syntax webdav-neon -apache2 -ctypes-python -debug -doc -dso -extras -gnome-keyring -java -webdav-serf"
Comment 3 Robert Cabrera 2012-06-30 23:47:30 UTC
Thanks for the patch. It now compiles and installs on my system.

Now the question is how long it will be before it works its way into the tree?
Comment 4 白川間瀬流 2012-07-06 07:24:03 UTC
also run into this, would be nice to see the patch in the tree =)
Comment 5 Patrizio Bassi 2012-08-18 07:37:33 UTC
please push this patch to portage tree
Comment 6 Gao Xiang 2012-08-20 05:04:04 UTC
Created attachment 321742 [details]
subversion-1.7.5.ebuild
Comment 7 Gao Xiang 2012-08-20 05:04:56 UTC
I have tried this patch on my local overlay.  It works well.  So please push it to portage.
Comment 8 Thomas Sachau gentoo-dev 2012-08-21 20:06:44 UTC
fixed in subversion-1.7.6, should be on your local rsync mirror in a few hours
Comment 9 Patrizio Bassi 2012-08-22 18:40:32 UTC
please reopen, it's still there


/usr/bin/msgfmt -c -o subversion/po/pt_BR.mo subversion/po/pt_BR.po
subversion/libsvn_auth_kwallet/kwallet.cpp: In function ‘svn_boolean_t kwallet_password_get(const char**, apr_hash_t*, const char*, const char*, apr_hash_t*, svn_boolean_t, apr_pool_t*)’:
subversion/libsvn_auth_kwallet/kwallet.cpp:207:68: error: taking address of temporary array
subversion/libsvn_auth_kwallet/kwallet.cpp:217:49: error: taking address of temporary array
subversion/libsvn_auth_kwallet/kwallet.cpp: In function ‘svn_boolean_t kwallet_password_set(apr_hash_t*, const char*, const char*, const char*, apr_hash_t*, svn_boolean_t, apr_pool_t*)’:
subversion/libsvn_auth_kwallet/kwallet.cpp:277:68: error: taking address of temporary array
subversion/libsvn_auth_kwallet/kwallet.cpp:287:49: error: taking address of temporary array
/usr/bin/msgfmt -c -o subversion/po/sv.mo subversion/po/sv.po
/usr/bin/msgfmt -c -o subversion/po/zh_CN.mo subversion/po/zh_CN.po
make: *** [subversion/libsvn_auth_kwallet/kwallet.lo] Errore 1
make: *** Attesa dei processi non terminati....
emake failed
 * ERROR: dev-vcs/subversion-1.7.6 failed (compile phase):
 *   Building of core of Subversion failed
Comment 10 Robert Cabrera 2012-08-22 18:58:27 UTC
(In reply to comment #8)
> fixed in subversion-1.7.6, should be on your local rsync mirror in a few
> hours

Unfortunately Thomas the issue doesn't appear to be resolved with subversion-1.7.6. See Bug 432266

The issue with subversion-1.7.6 failing to build looks almost the same as this one.

At the very least both seem to be related to kwallet.

I hope this helps
Comment 11 Robert Cabrera 2012-08-22 19:37:45 UTC
The issue with subversion-1.7.6 is definitely identical to 1.7.5

Building either without the above patch produces the exact same failure in the same spot with the same output.

I modified the subversion-1.7.6.ebuild to include the above patch and have submitted it here.

So it's now obvious that this issue WAS NOT FIXED UPSTREAM!!!

Until this patch and modified ebuilds for either version are included in the tree, just add either ebuild and the patch into your local overlay. It will then build, install, and function as expected.

I hope this helps.
Comment 12 Robert Cabrera 2012-08-22 19:39:03 UTC
Created attachment 321972 [details]
modified subversion-1.7.6.ebuild
Comment 13 Thomas Sachau gentoo-dev 2012-08-22 20:34:38 UTC
seems like upstream applied it to trunk, but did not include the patch in the following release.

Now added to subversion-1.7.6 without bump, should be on your local rsync mirror in a few hours
Comment 14 Thomas Sachau gentoo-dev 2012-08-22 20:35:22 UTC
*** Bug 432266 has been marked as a duplicate of this bug. ***
Comment 15 Robert Cabrera 2012-08-22 20:58:13 UTC
(In reply to comment #13)
> seems like upstream applied it to trunk, but did not include the patch in
> the following release.
> 
> Now added to subversion-1.7.6 without bump, should be on your local rsync
> mirror in a few hours

Thanks Thomas for resolving this. Your work is greatly appreciated!